package senac_turma02.stack;

public class StackFactory<T extends Number> {
	public StackImpl<T> create(String impl, int size) {
		if( impl.equalsIgnoreCase("ARRAY")) {
			return (StackImpl<T>)new StackImplArray<T>(size);
		}
		else // if( impl.equalsIgnoreCase("LE")) {
			return (StackImpl<T>)new StackImplLE<T>();			
	}
	public StackImpl<T> create(String impl) {
		if( impl.equalsIgnoreCase("LE")) {
			return (StackImpl<T>)new StackImplLE<T>();
		}
		else {
			assert(false);
		}
		return null;
	}
}
